Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Enumerations | Functions
qcustomplot.h File Reference
`#include <QObject>`
`#include <QPointer>`
`#include <QWidget>`
`#include <QPainter>`
`#include <QPaintEvent>`
`#include <QMouseEvent>`
`#include <QPixmap>`
`#include <QVector>`
`#include <QString>`
`#include <QDateTime>`
`#include <QMultiMap>`
`#include <QFlags>`
`#include <QDebug>`
`#include <QVector2D>`
`#include <QStack>`
`#include <QCache>`
`#include <QMargins>`
`#include <qmath.h>`
`#include <limits>`
`#include <QtNumeric>`
`#include <QtPrintSupport>`

Go to the source code of this file.

## Classes
class | QCPScatterStyle
| Represents the visual appearance of scatter points. More...
class | QCPPainter
| QPainter subclass used internally. More...
class | QCPLayer
| A layer that may contain objects, to control the rendering order. More...
class | QCPLayerable
| Base class for all drawable objects. More...
class | QCPRange
| Represents the range an axis is encompassing. More...
class | QCPMarginGroup
| A margin group allows synchronization of margin sides if working with multiple layout elements. More...
class | QCPLayoutElement
| The abstract base class for all objects that form the layout system. More...
class | QCPLayout
| The abstract base class for layouts. More...
class | QCPLayoutGrid
| A layout that arranges child elements in a grid. More...
class | QCPLayoutInset
| A layout that places child elements aligned to the border or arbitrarily positioned. More...
class | QCPLineEnding
| Handles the different ending decorations for line-like items. More...
class | QCPGrid
| Responsible for drawing the grid of a QCPAxis. More...
class | QCPAxis
| Manages a single axis inside a QCustomPlot. More...
class | QCPAxisPainterPrivate
struct | QCPAxisPainterPrivate::CachedLabel
struct | QCPAxisPainterPrivate::TickLabelData
class | QCPAbstractPlottable
| The abstract base class for all data representing objects in a plot. More...
class | QCPItemAnchor
| An anchor of an item to which positions can be attached to. More...
class | QCPItemPosition
| Manages the position of an item. More...
class | QCPAbstractItem
| The abstract base class for all items in a plot. More...
class | QCustomPlot
| The central class of the library. This is the QWidget which displays the plot and interacts with the user. More...
class | QCPColorGradient
| Defines a color gradient for use with e.g. QCPColorMap. More...
class | QCPAxisRect
| Holds multiple axes and arranges them in a rectangular shape. More...
class | QCPAbstractLegendItem
| The abstract base class for all entries in a QCPLegend. More...
class | QCPPlottableLegendItem
| A legend item representing a plottable with an icon and the plottable name. More...
class | QCPLegend
| Manages a legend inside a QCustomPlot. More...
class | QCPPlotTitle
| A layout element displaying a plot title text. More...
class | QCPColorScaleAxisRectPrivate
class | QCPColorScale
| A color scale for use with color coding data such as QCPColorMap. More...
class | QCPData
| Holds the data of one single data point for QCPGraph. More...
class | QCPGraph
| A plottable representing a graph in a plot. More...
class | QCPCurveData
| Holds the data of one single data point for QCPCurve. More...
class | QCPCurve
| A plottable representing a parametric curve in a plot. More...
class | QCPBarsGroup
| Groups multiple QCPBars together so they appear side by side. More...
class | QCPBarData
| Holds the data of one single data point (one bar) for QCPBars. More...
class | QCPBars
| A plottable representing a bar chart in a plot. More...
class | QCPStatisticalBox
| A plottable representing a single statistical box in a plot. More...
class | QCPColorMapData
| Holds the two-dimensional data of a QCPColorMap plottable. More...
class | QCPColorMap
| A plottable representing a two-dimensional color map in a plot. More...
class | QCPFinancialData
| Holds the data of one single data point for QCPFinancial. More...
class | QCPFinancial
| A plottable representing a financial stock chart. More...
class | QCPItemStraightLine
| A straight line that spans infinitely in both directions. More...
class | QCPItemLine
| A line from one point to another. More...
class | QCPItemCurve
| A curved line from one point to another. More...
class | QCPItemRect
| A rectangle. More...
class | QCPItemText
| A text label. More...
class | QCPItemEllipse
| An ellipse. More...
class | QCPItemPixmap
| An arbitrary pixmap. More...
class | QCPItemTracer
| Item that sticks to QCPGraph data points. More...
class | QCPItemBracket
| A bracket for referencing/highlighting certain parts in the plot. More...
class | QCPStringLegendItem

## Namespaces
| QCP

## Typedefs
typedef QMap< double, QCPData > | QCPDataMap
typedef QMapIterator< double, QCPData > | QCPDataMapIterator
typedef QMutableMapIterator< double, QCPData > | QCPDataMutableMapIterator
typedef QMap< double, QCPCurveData > | QCPCurveDataMap
typedef QMapIterator< double, QCPCurveData > | QCPCurveDataMapIterator
typedef QMutableMapIterator< double, QCPCurveData > | QCPCurveDataMutableMapIterator
typedef QMap< double, QCPBarData > | QCPBarDataMap
typedef QMapIterator< double, QCPBarData > | QCPBarDataMapIterator
typedef QMutableMapIterator< double, QCPBarData > | QCPBarDataMutableMapIterator
typedef QMap< double, QCPFinancialData > | QCPFinancialDataMap
typedef QMapIterator< double, QCPFinancialData > | QCPFinancialDataMapIterator
typedef QMutableMapIterator< double, QCPFinancialData > | QCPFinancialDataMutableMapIterator

## Enumerations
enum | QCP::MarginSide { QCP::msLeft = 0x01, QCP::msRight = 0x02, QCP::msTop = 0x04, QCP::msBottom = 0x08, QCP::msAll = 0xFF, QCP::msNone = 0x00 }
enum | QCP::AntialiasedElement { QCP::aeAxes = 0x0001, QCP::aeGrid = 0x0002, QCP::aeSubGrid = 0x0004, QCP::aeLegend = 0x0008, QCP::aeLegendItems = 0x0010, QCP::aePlottables = 0x0020, QCP::aeItems = 0x0040, QCP::aeScatters = 0x0080, QCP::aeErrorBars = 0x0100, QCP::aeFills = 0x0200, QCP::aeZeroLine = 0x0400, QCP::aeAll = 0xFFFF, QCP::aeNone = 0x0000 }
enum | QCP::PlottingHint { QCP::phNone = 0x000, QCP::phFastPolylines = 0x001, QCP::phForceRepaint = 0x002, QCP::phCacheLabels = 0x004 }
enum | QCP::Interaction { QCP::iRangeDrag = 0x001, QCP::iRangeZoom = 0x002, QCP::iMultiSelect = 0x004, QCP::iSelectPlottables = 0x008, QCP::iSelectAxes = 0x010, QCP::iSelectLegend = 0x020, QCP::iSelectItems = 0x040, QCP::iSelectOther = 0x080 }

## Functions
bool | QCP::isInvalidData (double value)
bool | QCP::isInvalidData (double value1, double value2)
void | QCP::setMarginValue (QMargins &margins, QCP::MarginSide side, int value)
int | QCP::getMarginValue (const QMargins &margins, QCP::MarginSide side)
| Q_DECLARE_TYPEINFO (QCPScatterStyle, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QCPRange, Q_MOVABLE_TYPE)
const QCPRange | operator+ (const QCPRange &range, double value)
const QCPRange | operator+ (double value, const QCPRange &range)
const QCPRange | operator- (const QCPRange &range, double value)
const QCPRange | operator* (const QCPRange &range, double value)
const QCPRange | operator* (double value, const QCPRange &range)
const QCPRange | operator/ (const QCPRange &range, double value)
| Q_DECLARE_TYPEINFO (QCPLineEnding, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QCPData, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QCPCurveData, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QCPBarData, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QCPFinancialData, Q_MOVABLE_TYPE)

## Typedef Documentation

QCPBarDataMap

Container for storing QCPBarData items in a sorted fashion. The key of the map is the key member of the QCPBarData instance.

This is the container in which QCPBars holds its data.

See also
  QCPBarData, QCPBars::setData

QCPCurveDataMap

Container for storing QCPCurveData items in a sorted fashion. The key of the map is the t member of the QCPCurveData instance.

This is the container in which QCPCurve holds its data.

See also
  QCPCurveData, QCPCurve::setData

QCPDataMap

Container for storing QCPData items in a sorted fashion. The key of the map is the key member of the QCPData instance.

This is the container in which QCPGraph holds its data.

See also
  QCPData, QCPGraph::setData

QCPFinancialDataMap

Container for storing QCPFinancialData items in a sorted fashion. The key of the map is the key member of the QCPFinancialData instance.

This is the container in which QCPFinancial holds its data.

See also
  QCPFinancial, QCPFinancial::setData

## Function Documentation

const QCPRange operator* | ( | const QCPRange & | range,
|  | double | value
| ) |  |
| inline

Multiplies both boundaries of the range by value.

const QCPRange operator* | ( | double | value,
|  | const QCPRange & | range
| ) |  |
| inline

Multiplies both boundaries of the range by value.

const QCPRange operator+ | ( | const QCPRange & | range,
|  | double | value
| ) |  |
| inline

Adds value to both boundaries of the range.

const QCPRange operator+ | ( | double | value,
|  | const QCPRange & | range
| ) |  |
| inline

Adds value to both boundaries of the range.

const QCPRange operator- | ( | const QCPRange & | range,
|  | double | value
| ) |  |
| inline

Subtracts value from both boundaries of the range.

const QCPRange operator/ | ( | const QCPRange & | range,
|  | double | value
| ) |  |
| inline

Divides both boundaries of the range by value.